Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 30 Oct 2022 14:23:45 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I actually ordered few products from Centrepoint mobile application.
It actually mentioned that I’ll be getting the products by 29th October.
Since I didn’t receive the products on the mention date,I contacted the customer care, the lady who attended was generous but informed me that normally it takes 2-3 working days for the delivery.

If the delivery cannot be completed on the application given date,what is the point of mentioning it on the application date?? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5072798